package com.usky.sas.service.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.usky.sas.domain.SasPatrolEvent;

@JsonIgnoreProperties(
        ignoreUnknown = true
)
public class PatrolEventInfoResult {
    private PatrolEventInfo eventInfo;

    public PatrolEventInfoResult() {
    }

    public PatrolEventInfo getEventInfo() {
        return this.eventInfo;
    }

    public PatrolEventInfoResult setEventInfo(PatrolEventInfo eventInfo) {
        this.eventInfo = eventInfo;
        return this;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PatrolEventInfoResult)) {
            return false;
        } else {
            PatrolEventInfoResult other = (PatrolEventInfoResult)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$eventInfo = this.getEventInfo();
                Object other$eventInfo = other.getEventInfo();
                if (this$eventInfo == null) {
                    if (other$eventInfo != null) {
                        return false;
                    }
                } else if (!this$eventInfo.equals(other$eventInfo)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof PatrolEventInfoResult;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $eventInfo = this.getEventInfo();
        result = result * 59 + ($eventInfo == null ? 43 : $eventInfo.hashCode());
        return result;
    }

    public String toString() {
        return "PatrolEventInfoResult(eventInfo=" + this.getEventInfo() + ")";
    }
}
